/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package routing.contact;

import core.DTNHost;

/**
 *
 * @author Yusuf Sarwar
 */
public class RoutingEntry
{
    private DTNHost nexthop;
    private double delay;
    
    public RoutingEntry(DTNHost nh, double d)
    {        
        nexthop = nh;
        delay = d;
    }
    
    public RoutingEntry()
    {     
        nexthop = null;
        delay = Double.MAX_VALUE;
    }
    
    public DTNHost getNextHop()
    {
        return nexthop;
    }
            
    public double getDelay()
    {
        return delay;
    }
    
    public boolean equals(NextContactEntry other)
    {
        return other.getNextContact().equals(this.getNextHop()) && other.getDelay() == this.getDelay();
    }
    
    public String toString()
    {
        return this.getNextHop()+ " : " + this.getDelay();
    }
    
    public void set(DTNHost h, double d)
    {
        nexthop = h;
        delay = d;
    }
}
