/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package routing.contact;

/**
 *
 * @author Yusuf Sarwar
 */
public class NeighborEntry {
    private double lastVisited;
    private int visitedCounter;
    private double penaltyTime;
    public int index;
    
    public NeighborEntry(int index)
    {
        lastVisited = 0.0;
        visitedCounter = 0;
        this.index = index;
    }
    
    public NeighborEntry(double lastVisited, int visitedCounter, int index)
    {
        this.lastVisited = lastVisited;
        this.visitedCounter = visitedCounter;
        this.index = index;
    }
    
    public void setLastVisited(double lastVisited)
    {
        this.lastVisited = lastVisited;
    }
    
    public void setVisitedCounter(int visitedCounter)
    {
        this.visitedCounter = visitedCounter;
    }
    
    public double getLastVisited()
    {
        return lastVisited;
    }
    
    public int getVisitedCounter()
    {
        return visitedCounter;
    }
    
    public void setPenaltyTime(double p)
    {
        penaltyTime = p;
    }
    
    public double getPenaltyTime()
    {
        return penaltyTime;
    }
    
    @Override
    public String toString()
    {
        return "[" + visitedCounter + "] @ " + lastVisited;                
    }
}
