/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package routing.contact;

import core.DTNHost;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/**
 *
 * @author Yusuf Sarwar
 */
public class RoutingTable {
    Map<DTNHost, RoutingEntry> routingEntries;
    
    public RoutingTable()
    {
        routingEntries = new HashMap<DTNHost, RoutingEntry>();
    }
    
    public void put(DTNHost host, RoutingEntry entry)
    {
        routingEntries.put(host, entry);
    }
    
    public RoutingEntry get(DTNHost host)
    {
        return routingEntries.get(host);
    }

    public RoutingTable(Map<DTNHost, RoutingEntry> routingEntries) {
        this.routingEntries = routingEntries;        
    }
    
    public Set<Map.Entry<DTNHost, RoutingEntry>> entrySet()
    {
        return routingEntries.entrySet();
    }
}
